Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface SimpleRichTextWithAuthorType

All Superinterfaces:
  SimpleRichTextType

All Known Subinterfaces:
  RichPointerType.Quotation, RichTextType.Quotation

All Known Implementing Classes:
  RichPointerTypeImpl.QuotationImpl, RichTextTypeImpl.QuotationImpl, SimpleRichTextWithAuthorTypeImpl

    public interface SimpleRichTextWithAuthorType

extends SimpleRichTextType

Java content class for simpleRichTextWithAuthorType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 773)

     <complexType name="simpleRichTextWithAuthorType">
       <complexContent>
         <extension base="{http://infoml.org/infomlFile}simpleRichTextType">
           <attribute name="author" type="{http://infoml.org/infomlFile}nonnullTokenType" />
         </extension>
       </complexContent>
     </complexType>

Nested Class Summary

Nested classes/interfaces inherited from interface org.infoml.jaxb.SimpleRichTextType
`SimpleRichTextType.A, SimpleRichTextType.Code, SimpleRichTextType.Em, SimpleRichTextType.Pre, SimpleRichTextType.Strong`

Method Summary
`java.lang.String` | `getAuthor()` Gets the value of the author property.
`void` | `setAuthor(java.lang.String value)` Sets the value of the author property.

Methods inherited from interface org.infoml.jaxb.SimpleRichTextType
`getContent`

Method Detail

### getAuthor

    java.lang.String getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `String`

### setAuthor

    void setAuthor(java.lang.String value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD